Kann oxod 6.1. nicht installieren


#1

Habe das hosting bei 1and1 mit php 7.2

Auf meinen Linux Rechner habe ich composer installiert. Dann bin ich in mein Konto bei 1and1 gegangen. Nun habe ich den Befehl eingegeben, der von oxid angegeben ist. Darauf kam nach einer Weile die Fehlermeldung in line 317 could not find package oxid-esales/oxiddhop-project with version dev-b-6.1-ce

Was tun?

Benutze Kunbuntu 18.10 auf Lenovo thinkpad T520


#2

das liegt vermutlich daran, dass es “oxid-esales/oxideshop-project” heißt und nicht “oxid-esales/oxiddhop-project”


#3

jetzt kommt folgende Meldung:

composer create-project --no-dev oxid-esales/oxidshop-project my_oxid_eshop_project dev-b-6.1-ce

In CreateProjectCommand.php line 317:

Could not find package oxid-esales/oxidshop-project with version dev-b-6.1-ce.

create-project [-s|–stability STABILITY] [–prefer-source] [–prefer-dist] [–repository REPOSITORY] [–repository-url REPOSITORY-URL] [–dev] [–no-dev] [–no-custom-installers] [–no-scripts] [–no-progress] [–no-secure-http] [–keep-vcs] [–remove-vcs] [–no-install] [–ignore-platform-reqs] [–] [] [] []

habe composer nur bei mir auf dem computer. Kann nicht nachvollziehen, wie ich composer auf meiner domain installiere. Kann das daran liegen? Ich bin hier auf composer ausführen gegangen. Dann sehe ich aber von Composer nichts mehr


#4

habe auch einen windows Rechner. Beim windows-Rechner sagt er nach dem starten der compose-setup.exe: We need to check your PHP and other settings. Choose the command-ine PHP you want to use. …Dann kann ich Browsen um irgendetwas zu suchen. Bin aber Anfänger bei solchen Sachen und weiß nicht, was ich suchen/eingeben soll


#5

immer noch falsch.
“oxideshop-project” und nicht “oxidshop-project”.
Versuchs mal mit Kopieren und Einfügen, das erspart solche Fehler und ist auch schneller :wink:


#6

Composer muss auf dem System laufen, auf dem Du den Shop installieren willst: Also entweder lokal auf Deiner Linux-Büchse oder bei 1&1.